View Issue Details

IDProjectCategoryView StatusLast Update
0016198ScribusInternalpublic2020-08-19 19:52
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0016198: Remove rulers OPTION_SMOOTH_MARKERS code
Descriptionin ui/hruler.cpp i have a big IFDEFed chunk of code that draws the red marker for the mouse position.

but there seem to be no way to set OPTION_SMOOTH_MARKERS to true.

can i remove it?

(please do not remove it from the code now, because i'm changing big parts of the code in hruler to get it to work with RTL... and i would be glad if i could avoid merge conflicts...)
TagsNo tags attached.
PatchNo

Activities

jghali

2020-07-31 21:35

administrator   ~0047897

It seems that code was originally introduced by avox to improve rulers rendering on Mac. However it seems this OPTION_SMOOTH_MARKERS code is a bit buggy right now. The minor/major marks quickly disappear when you start moving the mouse and at the end all marks are drawn as major marks. That's probably why it was never enabled.

jghali

2020-08-19 19:29

administrator   ~0047979

Last edited: 2020-08-19 19:52

View 2 revisions

After some more investigations, it appears that what this code is trying to achieve can be solved by HiDpi or activating QPainter's antialiasing render hint. So I've taken the decision to remove this code as there are more simple ways to do what this code is trying to do.

Issue History

Date Modified Username Field Change
2020-07-30 08:39 ale New Issue
2020-07-31 01:26 jghali Category - => Internal
2020-07-31 21:35 jghali Note Added: 0047897
2020-08-19 19:26 jghali Summary OPTION_SMOOTH_MARKERS ? => Remove rulers OPTION_SMOOTH_MARKERS code
2020-08-19 19:29 jghali Note Added: 0047979
2020-08-19 19:29 jghali Assigned To => jghali
2020-08-19 19:29 jghali Status new => resolved
2020-08-19 19:29 jghali Resolution open => fixed
2020-08-19 19:29 jghali Fixed in Version => 1.5.6.svn
2020-08-19 19:52 jghali Note Edited: 0047979 View Revisions